' Add a reference to the System.Management.

Imports System.Management

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim cs_searcher As New ManagementObjectSearcher("SELECT * FROM Win32_ComputerSystem")
        For Each mobj As ManagementObject In cs_searcher.Get()
            GetValue(mobj, "AdminPasswordStatus")
            GetValue(mobj, "AutomaticManagedPagefile")
            GetValue(mobj, "AutomaticResetBootOption")
            GetValue(mobj, "AutomaticResetCapability")
            GetValue(mobj, "BootOptionOnLimit")
            GetValue(mobj, "BootOptionOnWatchDog")
            GetValue(mobj, "BootROMSupported")
            GetValue(mobj, "BootupState")
            GetValue(mobj, "Caption")
            GetValue(mobj, "ChassisBootupState")
            GetValue(mobj, "CreationClassName")
            GetValue(mobj, "CurrentTimeZone")
            GetValue(mobj, "DaylightInEffect")
            GetValue(mobj, "Description")
            GetValue(mobj, "DNSHostName")
            GetValue(mobj, "Domain")
            GetValue(mobj, "DomainRole")
            GetValue(mobj, "EnableDaylightSavingsTime")
            GetValue(mobj, "FrontPanelResetStatus")
            GetValue(mobj, "InfraredSupported")
            GetValue(mobj, "InitialLoadInfo")
            GetValue(mobj, "InstallDate")
            GetValue(mobj, "KeyboardPasswordStatus")
            GetValue(mobj, "LastLoadInfo")
            GetValue(mobj, "Manufacturer")
            GetValue(mobj, "Model")
            GetValue(mobj, "Name")
            GetValue(mobj, "NameFormat")
            GetValue(mobj, "NetworkServerModeEnabled")
            GetValue(mobj, "NumberOfLogicalProcessors")
            GetValue(mobj, "NumberOfProcessors")
            GetValue(mobj, "OEMLogoBitmap")
            GetValue(mobj, "OEMStringArray")
            GetValue(mobj, "PartOfDomain")
            GetValue(mobj, "PauseAfterReset")
            GetValue(mobj, "PCSystemType")
            GetValue(mobj, "PowerManagementCapabilities")
            GetValue(mobj, "PowerManagementSupported")
            GetValue(mobj, "PowerOnPasswordStatus")
            GetValue(mobj, "PowerState")
            GetValue(mobj, "PowerSupplyState")
            GetValue(mobj, "PrimaryOwnerContact")
            GetValue(mobj, "PrimaryOwnerName")
            GetValue(mobj, "ResetCapability")
            GetValue(mobj, "ResetCount")
            GetValue(mobj, "ResetLimit")
            GetValue(mobj, "Roles")
            GetValue(mobj, "Status")
            GetValue(mobj, "SupportContactDescription")
            GetValue(mobj, "SystemStartupDelay")
            GetValue(mobj, "SystemStartupOptions")
            GetValue(mobj, "SystemStartupSetting")
            GetValue(mobj, "SystemType")
            GetValue(mobj, "ThermalState")
            GetValue(mobj, "TotalPhysicalMemory")
            GetValue(mobj, "UserName")
            GetValue(mobj, "WakeUpType")
            GetValue(mobj, "Workgroup")
        Next mobj

        For Each col As ColumnHeader In lvwResults.Columns
            col.Width = -2
        Next col
    End Sub

    Private Sub GetValue(ByVal mobj As ManagementObject, ByVal property_name As String)
        Dim value As String
        Try
            value = mobj(property_name).ToString()
        Catch ex As Exception
            value = "*** Error: " & ex.Message
        End Try

        lvwResults.Items.Add(property_name).SubItems.Add(value)
    End Sub
End Class
